# Class MockApi

#### Hierarchy

- MockApi

- Defined in definitions/src/testing/mocks/api.ts:3

#####
Index

### Constructors

constructor

### Properties

url

### Methods

getVaaBytes

## Constructors

### constructor

- new MockApi(url): testing.mocks.MockApi

- #### Parameters

  - ##### url: string

  #### Returns testing.mocks.MockApi

  - Defined in definitions/src/testing/mocks/api.ts:4

## Properties

### `Readonly` url

url: string

- Defined in definitions/src/testing/mocks/api.ts:4

## Methods

### getVaaBytes

- getVaaBytes(): Promise<VAA<"Uint8Array">>

- #### Returns Promise<VAA<"Uint8Array">>

  - Defined in definitions/src/testing/mocks/api.ts:6

Generated using TypeDoc